-- "Dark Elf Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- Elven tattoo design copyright (C) Elbie3rd@deviantart.com
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 2 created by Daniv
-- Last updated 23rd October 2014




defineMaterial{
   name = "dark_elf_skeleton_warrior",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_skeleton_warrior_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_skeleton_warrior_spec.tga",
   normalMap = "assets/textures/monsters/skeleton_warrior_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_skeleton_warrior_weapons",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_skeleton_warrior_weapons_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_skeleton_warrior_weapons_spec.tga",
   normalMap = "assets/textures/monsters/skeleton_warrior_weapons_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }



defineMaterial{
   name = "dark_elf_temple_altar",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_altar_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_altar_spec.tga",
   normalMap = "assets/textures/env/dungeon_altar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_arch",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_arch_dif.tga",
   specularMap = "assets/textures/env/temple_arch_spec.tga",
   normalMap = "assets/textures/env/temple_arch_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_ceiling",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_ceiling_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_ceiling_spec.tga",
   normalMap = "assets/textures/env/temple_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_ceiling_plain",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_ceiling_plain_dif.tga",
   specularMap = "assets/textures/env/temple_ceiling_spec.tga",
   normalMap = "assets/textures/env/temple_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_chain_metal",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_chain_metal_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_chain_metal_spec.tga",
   normalMap = "assets/textures/env/chain_metal_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_daemon_head",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_daemon_head_dif.tga",
   specularMap = "assets/textures/env/daemon_head_spec.tga",
   normalMap = "assets/textures/env/daemon_head_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_dragon_statue",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_dragon_statue_dif.tga",
   specularMap = "assets/textures/env/dragon_statue_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_dragon_statue_base",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_dragon_statue_base_dif.tga",
   specularMap = "assets/textures/env/dragon_statue_base_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_base_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_durin_door",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_durin_door_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_durin_door_spec.tga",
   normalMap = "assets/textures/env/temple_pressureplate_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_easy_button",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_easy_button_dif.tga",
   specularMap = "assets/textures/env/temple_easy_button_spec.tga",
   normalMap = "assets/textures/env/temple_easy_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_floor_1",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_1_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_1_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }


defineMaterial{
   name = "dark_elf_temple_floor_2",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_2_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_2_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_floor_3",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_3_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_3_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_floor_4",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_4_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_4_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_floor_corpse",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_corpse_dif.tga",
   specularMap = "assets/textures/props/floor_corpse_spec.tga",
   normalMap = "assets/textures/props/floor_corpse_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_floor_plain",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_floor_plain_dif.tga",
   specularMap = "assets/textures/env/temple_floor_spec.tga",
   normalMap = "assets/textures/env/temple_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "dark_elf_temple_gladiator_statue",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_gladiator_statue_dif.tga",
   specularMap = "assets/textures/props/gladiator_statue_spec.tga",
   normalMap = "assets/textures/props/gladiator_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_gobelin",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_gobelin_dif.tga",
   specularMap = "assets/textures/env/dungeon_gobelin_spec.tga",
   normalMap = "assets/textures/env/dungeon_gobelin_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }


defineMaterial{
   name = "dark_elf_temple_gobelin_torn",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_gobelin_torn_dif.tga",
   specularMap = "assets/textures/env/dungeon_gobelin_torn_spec.tga",
   normalMap = "assets/textures/env/dungeon_gobelin_torn_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }


defineMaterial{
   name = "dark_elf_temple_goromorg_statue_base",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_marble_dif.tga",
   specularMap = "assets/textures/env/marble_generic_spec.tga",
   normalMap = "assets/textures/env/marble_generic_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_hard_button",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_hard_button_dif.tga",
   specularMap = "assets/textures/env/temple_hard_button_spec.tga",
   normalMap = "assets/textures/env/temple_hard_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_iron_portcullis",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_iron_portcullis_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_iron_portcullis_spec.tga",
   normalMap = "assets/textures/env/dungeon_porticullis_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_medium_button",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_medium_button_dif.tga",
   specularMap = "assets/textures/env/temple_medium_button_spec.tga",
   normalMap = "assets/textures/env/temple_medium_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_pillar",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_pillar_dif.tga",
   specularMap = "assets/textures/env/temple_pillar_spec.tga",
   normalMap = "assets/textures/env/temple_pillar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_pressure_plate",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_pressure_plate_dif.tga",
   specularMap = "assets/textures/env/temple_pressureplate_spec.tga",
   normalMap = "assets/textures/env/temple_pressureplate_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_rock_wall_tile",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_rockwall_tile_dif.tga",
   specularMap = "assets/textures/env/rockwall_tile_spec.tga",
   normalMap = "assets/textures/env/rockwall_tile_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_spell_receptor",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_spell_receptor_dif.tga",
   specularMap = "assets/textures/env/dungeon_ceiling_spec.tga",
   normalMap = "assets/textures/env/dungeon_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_stairs",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_stairs_dif.tga",
   specularMap = "assets/textures/env/dungeon_stairs_spec.tga",
   normalMap = "assets/textures/env/dungeon_stairs_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_steel_door",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_steel_door_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_steel_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_iron_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_wall",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_wall_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_wall_spec.tga",
   normalMap = "assets/textures/env/temple_wall_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_wall_dirt",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_wall_dirt_dif.tga",
   specularMap = "assets/textures/props/temple_wall_dirt_spec.tga",
   normalMap = "assets/textures/props/temple_wall_dirt_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 20,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_wall_plain",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_wall_plain_dif.tga",
   specularMap = "assets/textures/env/temple_wall_spec.tga",
   normalMap = "assets/textures/env/temple_wall_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_wall_walltext",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_wall_text_dif.tga",
   specularMap = "assets/textures/env/temple_wall_text_spec.tga",
   normalMap = "assets/textures/env/temple_wall_text_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }

defineMaterial{
   name = "dark_elf_temple_wood_barrel",
   diffuseMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_wood_barrel_dif.tga",
   specularMap = "mod_assets/textures/dark_elf_temple/dark_elf_temple_wood_barrel_spec.tga",
   normalMap = "assets/textures/props/wood_barrel_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }
